WordPress.org

Ready to get started?Download WordPress

Forums

Comments Evolved for WordPress
[resolved] Google+ comments plugin update causing errors (9 posts)

  1. Stevie B
    Member
    Posted 1 year ago #

    Hi
    I'm using the latest version of WordPress and just updated to the latest version of this plugin and now in my plugins area of the WP dashboard I get this:

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'gplus_plugin_action_links' was given in /home/steve512/public_html/wp-includes/plugin.php on line 173

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'gplus_plugin_action_links' was given in /home/steve512/public_html/wp-includes/plugin.php on line 173

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'gplus_plugin_action_links' was given in /home/steve512/public_html/wp-includes/plugin.php on line 173

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'gplus_plugin_action_links' was given in /home/steve512/public_html/wp-includes/plugin.php on line 173

    Catchable fatal error: Argument 1 passed to STK_Button::settings_link() must be an array, null given in /home/steve512/public_html/wp-content/plugins/send-to-kindle/send-to-kindle.php on line 112

    There doesn't seem to be any missed up code on the site visible to visitors, just in the plugins section of my site. As well, only the first couple installed plugins are listed and nothing else. When I deactivate the plugin all goes to normal.

    Has anybody else encountered this?
    Is there something I can do to fix this? I'd really love to use Google+ commenting system on my blog (even more than FB) and this plugin is laid out perfectly.

    Thanks for the help!

    http://wordpress.org/extend/plugins/gplus-comments/

  2. Brandon Holtsclaw
    Member
    Plugin Author

    Posted 1 year ago #

    I've narrowed it down , will have a fix uploaded here in a moment

  3. Brandon Holtsclaw
    Member
    Plugin Author

    Posted 1 year ago #

    1.1.0 fixes this , it has been uploaded.

  4. Stevie B
    Member
    Posted 1 year ago #

    Hi Brandon
    I updated and then it crashed my whole site and I had to uninstalled the plugin through my FTP client. I waited about a day and tried installing the plugin afresh, and this time it installed but it won't work and gives me this warning:

    Google+ Comments for WordPress requires PHP 5.3+ and will not work unless you upgrade PHP.

    I really liked this plugin the best because I have some posts that have so many comments I don't want to lose them if I install other Google+ plugins and I liked how yours had the tabs where you could alternate between native commenting and trackbacks.

    I don't want to have too many versions of comments on my site and I liked yours best.

    How do I upgrade my php or find out what version my site has?

  5. patrickhealy
    Member
    Posted 1 year ago #

    I'd love to know this as well. I thought I was on the most recent version of PHP.

  6. Brandon Holtsclaw
    Member
    Plugin Author

    Posted 1 year ago #

    Patrick, no, PHP 5.4 is the latest stable release, and the plugin requires at lease version 5.3 ( that was released July 2009 ) ... some hosting providers like hostgator and godaddy do not have 5.3+ enabled by default it seems ( its unfortunate as 5.2 no longer gets security updates so should not be used at all )

    See this thread http://wordpress.org/support/topic/parse-error-182?replies=11

  7. patrickhealy
    Member
    Posted 1 year ago #

    Got it. Thanks!

  8. Stevie B
    Member
    Posted 1 year ago #

    I have the latest stable version of PHP, and the latest version of the plugin.

    -I've deactivated all my plugins but the G+ comments,
    -I've deleted it completely and reinstalled it
    -I've gone to the other link you provided and as per a suggestion there, copied and pasted that link into my htaccess file, and tried both php 5.3 and 5.3
    -Removed the cache plugin I was using.
    -Gone through the FAQs you list and done each step

    Still nothing.

    It's a real shame because I just don't have the time on my hands to spend figuring out what the problem is and really enjoyed it for the two or three days I had it working. It kicks the other G+ comment plugins' butts...

    Is there anything else I I've not tried or that could be the problem? I'm using the latest version of StandardTheme for my site...

  9. Brandon Holtsclaw
    Member
    Plugin Author

    Posted 1 year ago #

    it has nothing to do with your theme or plugin settings etc , it is something your hosting provider must either instruct you to do or do themselfs depending on the provider.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic